#!/bin/bash

# Function to handle errors
handle_error() {
    echo "Error: $1"
    exit 1
}

# Load Python virtual environment
source venv/bin/activate || { echo "Error: Failed to load Python virtual environment."; exit 1; }

# Get python path
python=$(which python)

# Run funguy.py
$python funguy.py || { echo "Error: Failed to execute funguy.py."; exit 1; }

